Dependency Pinning in PowerShell

TL;DRIf you want to use version pinning/freezing, do not opt for the standard #Requires statement. Instead, use Import-Module with the -RequiredVersion parameter and -Scope Local parameters:Import-Module MyModule -RequiredVersion 1.0 -Scope LocalBetter yet, put all your modules and versions in a list of hashmaps and iterate through:…